| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Pages
Public Member Functions | Private Attributes | List of all members
RedDirectory Class Reference
Inheritance diagram for RedDirectory:

## Public Member Functions
| __construct ($ext_path, &$auth_plugin)
| getChildren ()
| getChild ($name)
| getName ()
| createFile ($name, $data=null)
| createDirectory ($name)
| childExists ($name)
| getDir ()
| getLastModified ()

## Private Attributes
| $red_path
| $folder_hash
| $ext_path
| $root_dir = ''
| $auth
| $os_path = ''

## Constructor & Destructor Documentation

RedDirectory::__construct | ( |  | $ext_path,
|  | & | $auth_plugin
| ) |  |

## Member Function Documentation

RedDirectory::childExists | ( |  | $name | ) |

RedDirectory::createDirectory | ( |  | $name | ) |

RedDirectory::createFile | ( |  | $name,
|  |  | $data = `null`
| ) |  |

RedDirectory::getChild | ( |  | $name | ) |

RedDirectory::getChildren | ( |  | ) |

RedDirectory::getDir | ( |  | ) |

Referenced by __construct().

RedDirectory::getLastModified | ( |  | ) |

RedDirectory::getName | ( |  | ) |

## Member Data Documentation

RedDirectory::$auth
| private

RedDirectory::$ext_path
| private

Referenced by __construct(), and getDir().

RedDirectory::$folder_hash
| private

RedDirectory::$os_path = ''
| private

Referenced by createFile(), and getDir().

RedDirectory::$red_path
| private

RedDirectory::$root_dir = ''
| private

The documentation for this class was generated from the following file:

- include/reddav.php